Bug 64436 - FILEOPEN MSOffice document import List/ComboBox does not track boundcolumn vs display column correctly
Summary: FILEOPEN MSOffice document import List/ComboBox does not track boundcolumn vs...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-VBA
  Show dependency treegraph
 
Reported: 2013-05-10 15:55 UTC by Lionel Elie Mamane
Modified: 2018-09-24 19:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test case 1 (29.50 KB, application/vnd.ms-excel)
2013-05-10 15:55 UTC, Lionel Elie Mamane
Details
test case 2 (29.50 KB, application/vnd.ms-excel)
2013-05-10 16:00 UTC, Lionel Elie Mamane
Details
test case 3 (29.50 KB, application/vnd.ms-excel)
2013-05-10 16:09 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-05-10 15:55:31 UTC
Created attachment 79104 [details]
Test case 1

Consider the attached Microsoft Excel file.

In Excel, the ListBox displays a choice between
 one
 two
 three
 four
 etc
but stores in the linked cell (that is, D4) values
 1
 2
 3 
 4
 etc

Open this file in LibreOffice.

The ListBox displays one of
 1
 2
 3
 4
 etc


This Excel ComboBox should be imported as a LibreOffice ListBox. Because it has property "MatchRequired" to True. Here are the translation rules:

MSO ComboBox  ----> LibO control with property "dropdown" set to true
MSO ListBox   ----> LibO control with property "dropdown" set to false
MSO Control with property "MatchRequired" set to true  ----> LibO ListBox
MSO Control with property "MatchRequired" set to false ----> LibO ComboBox


Now, a LibO Base Form ListBox (that is, a data-aware ListBox?) has a property "BoundColumn" which more-or-less mirrors (with an offset of one) the MSOffice Combo/ListBox property "BoundColumn". But It seems a LibO Calc ListBox has this greyed out (?).
Comment 1 Lionel Elie Mamane 2013-05-10 16:00:14 UTC
Created attachment 79105 [details]
test case 2

Now, consider this new test case two.

In Excel, the ComboBox *still* displays one/two/three/... and stores in the bound cell values 1/2/3/...

Now LibreOffice displays *and* stores strings one/two/three/...

Additionally, click button "Show Value". MS Excel says 1/2/3/4/..., but LibreOffice says one/two/three/four/...
Comment 2 Lionel Elie Mamane 2013-05-10 16:04:41 UTC
(In reply to comment #0)
> Now, a LibO Base Form ListBox (that is, a data-aware ListBox?) has a
> property "BoundColumn" which more-or-less mirrors (with an offset of one)
> the MSOffice Combo/ListBox property "BoundColumn". But It seems a LibO Calc
> ListBox has this greyed out (?).

Ah, but it has a "Contents of the linked cell" property, which can have values "The selected entry" or "Position of the selected entry". So it "just" needs to be "extended" to have the same capabilities as "Bound field" or being merged with "Bound field" (which should be called "Bound column").
Comment 3 Lionel Elie Mamane 2013-05-10 16:09:11 UTC
Created attachment 79108 [details]
test case 3

Now consider test case 3.

That's something that LibreOffice ListBoxes are completely unable to do: Show *several* columns. Note that LibreOffice ListBoxes are also unable to show e.g. only the second column (instead of the first).

In Base, this is not too much of a problem because one can reorder the columns in the source query and/or concatenate the multiple columns one wants to display (less beautiful that MSOffice, but workable).

For MS Excel file import, this is more of a problem, since we can most probably not move the data around in the sheet itself! Would break formula references, etc.
Comment 4 Joel Madero 2013-05-10 16:23:17 UTC
Confirming since it's yours Lionel - not tested but I'm sure the problem exists.

Quick question - has this always been the case or is it a regression?

Marking as 

New
Normal - can prevent high quality work
Medium - default seems appropriate
Comment 5 Lionel Elie Mamane 2013-05-10 16:40:35 UTC
(In reply to comment #4)

> Quick question - has this always been the case or is it a regression?

Most probably "always been the case".
Comment 6 QA Administrators 2015-04-19 03:21:40 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2016-09-20 09:24:56 UTC Comment hidden (obsolete)
Comment 8 vjbox-bugs 2016-09-20 12:31:59 UTC
The behaviour has changed, still doesn't seem correct (to me).  

1) With testcase 1 (LibO_VBA_ListBox.xls)
In both 4.2.8.2 &  5.2.1.2: both the combobox and the ‘show value’ button show the value "1/2/ 3..”

2)  using testcase2
In both 4.2.8.2 &  5.2.1.2: both the combobox and the ‘show value’ button show the text viz. "one/two/.."

The 'show value' button never seems to change anything displayed.

Tested on Mint 17.3
Comment 9 vjbox-bugs 2016-09-20 12:38:58 UTC
Behaviour has changed - still doesn't seem correct (to me).

1)  using first testcase (LibO_VBA_ListBox.xls)
both the combobox and the ‘show value’ button show the value "1/2/ 3..”

2)  using testcase2
both the combobox and the ‘show value’ button show the text viz. "one/two/.."


Tested on Mint 17.3.  Same results with both calc 4.2.8.2 & 5.2.1.2
Comment 10 Xisco Faulí 2017-09-29 08:50:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929